package hra;

import java.util.InputMismatchException;
import java.util.Scanner;

/**
 *
 * @author lsroubov
 */
public class HraDvouHracu {
    private Scanner kl = new Scanner(System.in);
    
    private int nactiCislo(String hlaska){
        int cislo;
        while(true){
            try {
                System.out.println(hlaska);
                cislo = kl.nextInt();
                return(cislo);
            } catch (InputMismatchException e){
                System.out.println("Nutne cele cislo.");
                kl.nextLine();    
            }
        }
    }
    private String nactiJmeno(String hlaska){
       String jmeno;
       System.out.println(hlaska);
       jmeno = kl.next();
       if(jmeno.length() >= 20) {
           jmeno = jmeno.substring(0, 19);
       }
       return(jmeno);
    }
    public void spustHru(HodKostkou kostka){
        int pocetPoli;
        int pocetPoliMin = 15;
        int pocetPoliMax = 80;
        do {
            pocetPoli = nactiCislo(String.format("Zadej pocet policek od %d do %d: ",pocetPoliMin,pocetPoliMax));          
        }while(pocetPoli < pocetPoliMin || pocetPoli > pocetPoliMax);
        String jmeno1 = nactiJmeno("Nacti jmeno 1. hrace: ");
        String jmeno2 = nactiJmeno("Nacti jmeno 2. hrace: ");
        int kdoZacne = kostka.hazej();
        System.out.println("Rozhoz: padlo cislo " + kdoZacne);
        System.out.printf("Zacina %s\n",((kdoZacne%2) == 0) ? jmeno2 : jmeno1);
        Hrac hracA, hracB;
        if(kdoZacne%2 == 1){
            hracA = new Hrac(jmeno1, pocetPoli, 0, kostka);
            hracB = new Hrac(jmeno2, pocetPoli, 0, kostka);
        } else {
            hracA = new Hrac(jmeno2, pocetPoli, 0, kostka);
            hracB = new Hrac(jmeno1, pocetPoli, 0, kostka);
        }
        Zapas boj  = new Zapas(hracA, hracB, kostka);
        boj.bojujte();
    }
} 
